<?php

use App\Category;
use App\CategoryDescription;
use App\Setting;
use App\User;
use App\Newsletter;
use App\VisitorMessage;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call(SettingSeeder::class);
        $this->call(LanguageSeeder::class);
        $this->call(ModuleSeeder::class);
        $this->call(UserSeeder::class);
        $this->call(UserModuleSeeder::class);
        $this->call(MemberSeeder::class);
        $this->call(CityDescriptionSeeder::class);
        $this->call(ConsultingSeeder::class);
        $this->call(ConsultingRequestSeeder::class);
        $this->call(DocumentationTypeDescriptionSeeder::class);
        $this->call(DocumentationSeeder::class);
        $this->call(DocumentationRequestSeeder::class);
        $this->call(UsersNotificationSeeder::class);


        factory(VisitorMessage::class, 10)->create();



//        $this->call(AboutSeeder::class);
//        $this->call(PolicyDescriptionSeeder::class);
//        $this->call(CountryDescriptionSeeder::class);
//        $this->call(RegionDescriptionSeeder::class);
//        $this->call(SectorDescriptionSeeder::class);
//        $this->call(SliderDescriptionSeeder::class);
//        $this->call(NumberDescriptionSeeder::class);
//        $this->call(CategoryDescriptionSeeder::class);
//        $this->call(OccasionDescriptionSeeder::class);
//        $this->call(ServiceDescriptionSeeder::class);
//        $this->call(AddReservationSeeder::class);
//        $this->call(PartnerDescriptionSeeder::class);

    }
}
